from faststream.rabbit import RabbitBroker, RabbitExchange, ExchangeType, QueueType, RabbitQueue

from src.core.settings.base import settings

broker = RabbitBroker(
    url=settings.RABBIT.URL
)


base_exchange = RabbitExchange(
    name="base_exchange",
    type=ExchangeType.DIRECT,
)

base_queue = RabbitQueue(
    name="base_queue",
    queue_type=QueueType.CLASSIC,
)
